Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2088::/16
First address
2088::
Last address
2088:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2088:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
8.8.0.2.ip6.arpa
Split into smaller subnets/28

2088::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
12088::/282088:f:ffff:ffff:ffff:ffff:ffff:ffff
22088:10::/282088:1f:ffff:ffff:ffff:ffff:ffff:ffff
32088:20::/282088:2f:ffff:ffff:ffff:ffff:ffff:ffff
42088:30::/282088:3f:ffff:ffff:ffff:ffff:ffff:ffff
52088:40::/282088:4f:ffff:ffff:ffff:ffff:ffff:ffff
62088:50::/282088:5f:ffff:ffff:ffff:ffff:ffff:ffff
72088:60::/282088:6f:ffff:ffff:ffff:ffff:ffff:ffff
82088:70::/282088:7f:ffff:ffff:ffff:ffff:ffff:ffff
92088:80::/282088:8f:ffff:ffff:ffff:ffff:ffff:ffff
102088:90::/282088:9f:ffff:ffff:ffff:ffff:ffff:ffff
112088:a0::/282088:af:ffff:ffff:ffff:ffff:ffff:ffff
122088:b0::/282088:bf:ffff:ffff:ffff:ffff:ffff:ffff
132088:c0::/282088:cf:ffff:ffff:ffff:ffff:ffff:ffff
142088:d0::/282088:df:ffff:ffff:ffff:ffff:ffff:ffff
152088:e0::/282088:ef:ffff:ffff:ffff:ffff:ffff:ffff
162088:f0::/282088:ff:ffff:ffff:ffff:ffff:ffff:ffff
172088:100::/282088:10f:ffff:ffff:ffff:ffff:ffff:ffff
182088:110::/282088:11f:ffff:ffff:ffff:ffff:ffff:ffff
192088:120::/282088:12f:ffff:ffff:ffff:ffff:ffff:ffff
202088:130::/282088:13f:ffff:ffff:ffff:ffff:ffff:ffff
212088:140::/282088:14f:ffff:ffff:ffff:ffff:ffff:ffff
222088:150::/282088:15f:ffff:ffff:ffff:ffff:ffff:ffff
232088:160::/282088:16f:ffff:ffff:ffff:ffff:ffff:ffff
242088:170::/282088:17f:ffff:ffff:ffff:ffff:ffff:ffff
252088:180::/282088:18f:ffff:ffff:ffff:ffff:ffff:ffff
262088:190::/282088:19f:ffff:ffff:ffff:ffff:ffff:ffff
272088:1a0::/282088:1af:ffff:ffff:ffff:ffff:ffff:ffff
282088:1b0::/282088:1bf:ffff:ffff:ffff:ffff:ffff:ffff
292088:1c0::/282088:1cf:ffff:ffff:ffff:ffff:ffff:ffff
302088:1d0::/282088:1df:ffff:ffff:ffff:ffff:ffff:ffff
312088:1e0::/282088:1ef:ffff:ffff:ffff:ffff:ffff:ffff
322088:1f0::/282088:1ff:ffff:ffff:ffff:ffff:ffff:ffff
332088:200::/282088:20f:ffff:ffff:ffff:ffff:ffff:ffff
342088:210::/282088:21f:ffff:ffff:ffff:ffff:ffff:ffff
352088:220::/282088:22f:ffff:ffff:ffff:ffff:ffff:ffff
362088:230::/282088:23f:ffff:ffff:ffff:ffff:ffff:ffff
372088:240::/282088:24f:ffff:ffff:ffff:ffff:ffff:ffff
382088:250::/282088:25f:ffff:ffff:ffff:ffff:ffff:ffff
392088:260::/282088:26f:ffff:ffff:ffff:ffff:ffff:ffff
402088:270::/282088:27f:ffff:ffff:ffff:ffff:ffff:ffff
412088:280::/282088:28f:ffff:ffff:ffff:ffff:ffff:ffff
422088:290::/282088:29f:ffff:ffff:ffff:ffff:ffff:ffff
432088:2a0::/282088:2af:ffff:ffff:ffff:ffff:ffff:ffff
442088:2b0::/282088:2bf:ffff:ffff:ffff:ffff:ffff:ffff
452088:2c0::/282088:2cf:ffff:ffff:ffff:ffff:ffff:ffff
462088:2d0::/282088:2df:ffff:ffff:ffff:ffff:ffff:ffff
472088:2e0::/282088:2ef:ffff:ffff:ffff:ffff:ffff:ffff
482088:2f0::/282088:2ff:ffff:ffff:ffff:ffff:ffff:ffff
492088:300::/282088:30f:ffff:ffff:ffff:ffff:ffff:ffff
502088:310::/282088:31f:ffff:ffff:ffff:ffff:ffff:ffff
512088:320::/282088:32f:ffff:ffff:ffff:ffff:ffff:ffff
522088:330::/282088:33f:ffff:ffff:ffff:ffff:ffff:ffff
532088:340::/282088:34f:ffff:ffff:ffff:ffff:ffff:ffff
542088:350::/282088:35f:ffff:ffff:ffff:ffff:ffff:ffff
552088:360::/282088:36f:ffff:ffff:ffff:ffff:ffff:ffff
562088:370::/282088:37f:ffff:ffff:ffff:ffff:ffff:ffff
572088:380::/282088:38f:ffff:ffff:ffff:ffff:ffff:ffff
582088:390::/282088:39f:ffff:ffff:ffff:ffff:ffff:ffff
592088:3a0::/282088:3af:ffff:ffff:ffff:ffff:ffff:ffff
602088:3b0::/282088:3bf:ffff:ffff:ffff:ffff:ffff:ffff
612088:3c0::/282088:3cf:ffff:ffff:ffff:ffff:ffff:ffff
622088:3d0::/282088:3df:ffff:ffff:ffff:ffff:ffff:ffff
632088:3e0::/282088:3ef:ffff:ffff:ffff:ffff:ffff:ffff
642088:3f0::/282088:3ff:ffff:ffff:ffff:ffff:ffff:ffff
652088:400::/282088:40f:ffff:ffff:ffff:ffff:ffff:ffff
662088:410::/282088:41f:ffff:ffff:ffff:ffff:ffff:ffff
672088:420::/282088:42f:ffff:ffff:ffff:ffff:ffff:ffff
682088:430::/282088:43f:ffff:ffff:ffff:ffff:ffff:ffff
692088:440::/282088:44f:ffff:ffff:ffff:ffff:ffff:ffff
702088:450::/282088:45f:ffff:ffff:ffff:ffff:ffff:ffff
712088:460::/282088:46f:ffff:ffff:ffff:ffff:ffff:ffff
722088:470::/282088:47f:ffff:ffff:ffff:ffff:ffff:ffff
732088:480::/282088:48f:ffff:ffff:ffff:ffff:ffff:ffff
742088:490::/282088:49f:ffff:ffff:ffff:ffff:ffff:ffff
752088:4a0::/282088:4af:ffff:ffff:ffff:ffff:ffff:ffff
762088:4b0::/282088:4bf:ffff:ffff:ffff:ffff:ffff:ffff
772088:4c0::/282088:4cf:ffff:ffff:ffff:ffff:ffff:ffff
782088:4d0::/282088:4df:ffff:ffff:ffff:ffff:ffff:ffff
792088:4e0::/282088:4ef:ffff:ffff:ffff:ffff:ffff:ffff
802088:4f0::/282088:4ff:ffff:ffff:ffff:ffff:ffff:ffff
812088:500::/282088:50f:ffff:ffff:ffff:ffff:ffff:ffff
822088:510::/282088:51f:ffff:ffff:ffff:ffff:ffff:ffff
832088:520::/282088:52f:ffff:ffff:ffff:ffff:ffff:ffff
842088:530::/282088:53f:ffff:ffff:ffff:ffff:ffff:ffff
852088:540::/282088:54f:ffff:ffff:ffff:ffff:ffff:ffff
862088:550::/282088:55f:ffff:ffff:ffff:ffff:ffff:ffff
872088:560::/282088:56f:ffff:ffff:ffff:ffff:ffff:ffff
882088:570::/282088:57f:ffff:ffff:ffff:ffff:ffff:ffff
892088:580::/282088:58f:ffff:ffff:ffff:ffff:ffff:ffff
902088:590::/282088:59f:ffff:ffff:ffff:ffff:ffff:ffff
912088:5a0::/282088:5af:ffff:ffff:ffff:ffff:ffff:ffff
922088:5b0::/282088:5bf:ffff:ffff:ffff:ffff:ffff:ffff
932088:5c0::/282088:5cf:ffff:ffff:ffff:ffff:ffff:ffff
942088:5d0::/282088:5df:ffff:ffff:ffff:ffff:ffff:ffff
952088:5e0::/282088:5ef:ffff:ffff:ffff:ffff:ffff:ffff
962088:5f0::/282088:5ff:ffff:ffff:ffff:ffff:ffff:ffff
972088:600::/282088:60f:ffff:ffff:ffff:ffff:ffff:ffff
982088:610::/282088:61f:ffff:ffff:ffff:ffff:ffff:ffff
992088:620::/282088:62f:ffff:ffff:ffff:ffff:ffff:ffff
1002088:630::/282088:63f:ffff:ffff:ffff:ffff:ffff:ffff
1012088:640::/282088:64f:ffff:ffff:ffff:ffff:ffff:ffff
1022088:650::/282088:65f:ffff:ffff:ffff:ffff:ffff:ffff
1032088:660::/282088:66f:ffff:ffff:ffff:ffff:ffff:ffff
1042088:670::/282088:67f:ffff:ffff:ffff:ffff:ffff:ffff
1052088:680::/282088:68f:ffff:ffff:ffff:ffff:ffff:ffff
1062088:690::/282088:69f:ffff:ffff:ffff:ffff:ffff:ffff
1072088:6a0::/282088:6af:ffff:ffff:ffff:ffff:ffff:ffff
1082088:6b0::/282088:6bf:ffff:ffff:ffff:ffff:ffff:ffff
1092088:6c0::/282088:6cf:ffff:ffff:ffff:ffff:ffff:ffff
1102088:6d0::/282088:6df:ffff:ffff:ffff:ffff:ffff:ffff
1112088:6e0::/282088:6ef:ffff:ffff:ffff:ffff:ffff:ffff
1122088:6f0::/282088:6ff:ffff:ffff:ffff:ffff:ffff:ffff
1132088:700::/282088:70f:ffff:ffff:ffff:ffff:ffff:ffff
1142088:710::/282088:71f:ffff:ffff:ffff:ffff:ffff:ffff
1152088:720::/282088:72f:ffff:ffff:ffff:ffff:ffff:ffff
1162088:730::/282088:73f:ffff:ffff:ffff:ffff:ffff:ffff
1172088:740::/282088:74f:ffff:ffff:ffff:ffff:ffff:ffff
1182088:750::/282088:75f:ffff:ffff:ffff:ffff:ffff:ffff
1192088:760::/282088:76f:ffff:ffff:ffff:ffff:ffff:ffff
1202088:770::/282088:77f:ffff:ffff:ffff:ffff:ffff:ffff
1212088:780::/282088:78f:ffff:ffff:ffff:ffff:ffff:ffff
1222088:790::/282088:79f:ffff:ffff:ffff:ffff:ffff:ffff
1232088:7a0::/282088:7af:ffff:ffff:ffff:ffff:ffff:ffff
1242088:7b0::/282088:7bf:ffff:ffff:ffff:ffff:ffff:ffff
1252088:7c0::/282088:7cf:ffff:ffff:ffff:ffff:ffff:ffff
1262088:7d0::/282088:7df:ffff:ffff:ffff:ffff:ffff:ffff
1272088:7e0::/282088:7ef:ffff:ffff:ffff:ffff:ffff:ffff
1282088:7f0::/282088:7ff:ffff:ffff:ffff:ffff:ffff:ffff
1292088:800::/282088:80f:ffff:ffff:ffff:ffff:ffff:ffff
1302088:810::/282088:81f:ffff:ffff:ffff:ffff:ffff:ffff
1312088:820::/282088:82f:ffff:ffff:ffff:ffff:ffff:ffff
1322088:830::/282088:83f:ffff:ffff:ffff:ffff:ffff:ffff
1332088:840::/282088:84f:ffff:ffff:ffff:ffff:ffff:ffff
1342088:850::/282088:85f:ffff:ffff:ffff:ffff:ffff:ffff
1352088:860::/282088:86f:ffff:ffff:ffff:ffff:ffff:ffff
1362088:870::/282088:87f:ffff:ffff:ffff:ffff:ffff:ffff
1372088:880::/282088:88f:ffff:ffff:ffff:ffff:ffff:ffff
1382088:890::/282088:89f:ffff:ffff:ffff:ffff:ffff:ffff
1392088:8a0::/282088:8af:ffff:ffff:ffff:ffff:ffff:ffff
1402088:8b0::/282088:8bf:ffff:ffff:ffff:ffff:ffff:ffff
1412088:8c0::/282088:8cf:ffff:ffff:ffff:ffff:ffff:ffff
1422088:8d0::/282088:8df:ffff:ffff:ffff:ffff:ffff:ffff
1432088:8e0::/282088:8ef:ffff:ffff:ffff:ffff:ffff:ffff
1442088:8f0::/282088:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1452088:900::/282088:90f:ffff:ffff:ffff:ffff:ffff:ffff
1462088:910::/282088:91f:ffff:ffff:ffff:ffff:ffff:ffff
1472088:920::/282088:92f:ffff:ffff:ffff:ffff:ffff:ffff
1482088:930::/282088:93f:ffff:ffff:ffff:ffff:ffff:ffff
1492088:940::/282088:94f:ffff:ffff:ffff:ffff:ffff:ffff
1502088:950::/282088:95f:ffff:ffff:ffff:ffff:ffff:ffff
1512088:960::/282088:96f:ffff:ffff:ffff:ffff:ffff:ffff
1522088:970::/282088:97f:ffff:ffff:ffff:ffff:ffff:ffff
1532088:980::/282088:98f:ffff:ffff:ffff:ffff:ffff:ffff
1542088:990::/282088:99f:ffff:ffff:ffff:ffff:ffff:ffff
1552088:9a0::/282088:9af:ffff:ffff:ffff:ffff:ffff:ffff
1562088:9b0::/282088:9bf:ffff:ffff:ffff:ffff:ffff:ffff
1572088:9c0::/282088:9cf:ffff:ffff:ffff:ffff:ffff:ffff
1582088:9d0::/282088:9df:ffff:ffff:ffff:ffff:ffff:ffff
1592088:9e0::/282088:9ef:ffff:ffff:ffff:ffff:ffff:ffff
1602088:9f0::/282088:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1612088:a00::/282088:a0f:ffff:ffff:ffff:ffff:ffff:ffff
1622088:a10::/282088:a1f:ffff:ffff:ffff:ffff:ffff:ffff
1632088:a20::/282088:a2f:ffff:ffff:ffff:ffff:ffff:ffff
1642088:a30::/282088:a3f:ffff:ffff:ffff:ffff:ffff:ffff
1652088:a40::/282088:a4f:ffff:ffff:ffff:ffff:ffff:ffff
1662088:a50::/282088:a5f:ffff:ffff:ffff:ffff:ffff:ffff
1672088:a60::/282088:a6f:ffff:ffff:ffff:ffff:ffff:ffff
1682088:a70::/282088:a7f:ffff:ffff:ffff:ffff:ffff:ffff
1692088:a80::/282088:a8f:ffff:ffff:ffff:ffff:ffff:ffff
1702088:a90::/282088:a9f:ffff:ffff:ffff:ffff:ffff:ffff
1712088:aa0::/282088:aaf:ffff:ffff:ffff:ffff:ffff:ffff
1722088:ab0::/282088:abf:ffff:ffff:ffff:ffff:ffff:ffff
1732088:ac0::/282088:acf:ffff:ffff:ffff:ffff:ffff:ffff
1742088:ad0::/282088:adf:ffff:ffff:ffff:ffff:ffff:ffff
1752088:ae0::/282088:aef:ffff:ffff:ffff:ffff:ffff:ffff
1762088:af0::/282088:aff:ffff:ffff:ffff:ffff:ffff:ffff
1772088:b00::/282088:b0f:ffff:ffff:ffff:ffff:ffff:ffff
1782088:b10::/282088:b1f:ffff:ffff:ffff:ffff:ffff:ffff
1792088:b20::/282088:b2f:ffff:ffff:ffff:ffff:ffff:ffff
1802088:b30::/282088:b3f:ffff:ffff:ffff:ffff:ffff:ffff
1812088:b40::/282088:b4f:ffff:ffff:ffff:ffff:ffff:ffff
1822088:b50::/282088:b5f:ffff:ffff:ffff:ffff:ffff:ffff
1832088:b60::/282088:b6f:ffff:ffff:ffff:ffff:ffff:ffff
1842088:b70::/282088:b7f:ffff:ffff:ffff:ffff:ffff:ffff
1852088:b80::/282088:b8f:ffff:ffff:ffff:ffff:ffff:ffff
1862088:b90::/282088:b9f:ffff:ffff:ffff:ffff:ffff:ffff
1872088:ba0::/282088:baf:ffff:ffff:ffff:ffff:ffff:ffff
1882088:bb0::/282088:bbf:ffff:ffff:ffff:ffff:ffff:ffff
1892088:bc0::/282088:bcf:ffff:ffff:ffff:ffff:ffff:ffff
1902088:bd0::/282088:bdf:ffff:ffff:ffff:ffff:ffff:ffff
1912088:be0::/282088:bef:ffff:ffff:ffff:ffff:ffff:ffff
1922088:bf0::/282088:bff:ffff:ffff:ffff:ffff:ffff:ffff
1932088:c00::/282088:c0f:ffff:ffff:ffff:ffff:ffff:ffff
1942088:c10::/282088:c1f:ffff:ffff:ffff:ffff:ffff:ffff
1952088:c20::/282088:c2f:ffff:ffff:ffff:ffff:ffff:ffff
1962088:c30::/282088:c3f:ffff:ffff:ffff:ffff:ffff:ffff
1972088:c40::/282088:c4f:ffff:ffff:ffff:ffff:ffff:ffff
1982088:c50::/282088:c5f:ffff:ffff:ffff:ffff:ffff:ffff
1992088:c60::/282088:c6f:ffff:ffff:ffff:ffff:ffff:ffff
2002088:c70::/282088:c7f:ffff:ffff:ffff:ffff:ffff:ffff
2012088:c80::/282088:c8f:ffff:ffff:ffff:ffff:ffff:ffff
2022088:c90::/282088:c9f:ffff:ffff:ffff:ffff:ffff:ffff
2032088:ca0::/282088:caf:ffff:ffff:ffff:ffff:ffff:ffff
2042088:cb0::/282088:cbf:ffff:ffff:ffff:ffff:ffff:ffff
2052088:cc0::/282088:ccf:ffff:ffff:ffff:ffff:ffff:ffff
2062088:cd0::/282088:cdf:ffff:ffff:ffff:ffff:ffff:ffff
2072088:ce0::/282088:cef:ffff:ffff:ffff:ffff:ffff:ffff
2082088:cf0::/282088:cff:ffff:ffff:ffff:ffff:ffff:ffff
2092088:d00::/282088:d0f:ffff:ffff:ffff:ffff:ffff:ffff
2102088:d10::/282088:d1f:ffff:ffff:ffff:ffff:ffff:ffff
2112088:d20::/282088:d2f:ffff:ffff:ffff:ffff:ffff:ffff
2122088:d30::/282088:d3f:ffff:ffff:ffff:ffff:ffff:ffff
2132088:d40::/282088:d4f:ffff:ffff:ffff:ffff:ffff:ffff
2142088:d50::/282088:d5f:ffff:ffff:ffff:ffff:ffff:ffff
2152088:d60::/282088:d6f:ffff:ffff:ffff:ffff:ffff:ffff
2162088:d70::/282088:d7f:ffff:ffff:ffff:ffff:ffff:ffff
2172088:d80::/282088:d8f:ffff:ffff:ffff:ffff:ffff:ffff
2182088:d90::/282088:d9f:ffff:ffff:ffff:ffff:ffff:ffff
2192088:da0::/282088:daf:ffff:ffff:ffff:ffff:ffff:ffff
2202088:db0::/282088:dbf:ffff:ffff:ffff:ffff:ffff:ffff
2212088:dc0::/282088:dcf:ffff:ffff:ffff:ffff:ffff:ffff
2222088:dd0::/282088:ddf:ffff:ffff:ffff:ffff:ffff:ffff
2232088:de0::/282088:def:ffff:ffff:ffff:ffff:ffff:ffff
2242088:df0::/282088:dff:ffff:ffff:ffff:ffff:ffff:ffff
2252088:e00::/282088:e0f:ffff:ffff:ffff:ffff:ffff:ffff
2262088:e10::/282088:e1f:ffff:ffff:ffff:ffff:ffff:ffff
2272088:e20::/282088:e2f:ffff:ffff:ffff:ffff:ffff:ffff
2282088:e30::/282088:e3f:ffff:ffff:ffff:ffff:ffff:ffff
2292088:e40::/282088:e4f:ffff:ffff:ffff:ffff:ffff:ffff
2302088:e50::/282088:e5f:ffff:ffff:ffff:ffff:ffff:ffff
2312088:e60::/282088:e6f:ffff:ffff:ffff:ffff:ffff:ffff
2322088:e70::/282088:e7f:ffff:ffff:ffff:ffff:ffff:ffff
2332088:e80::/282088:e8f:ffff:ffff:ffff:ffff:ffff:ffff
2342088:e90::/282088:e9f:ffff:ffff:ffff:ffff:ffff:ffff
2352088:ea0::/282088:eaf:ffff:ffff:ffff:ffff:ffff:ffff
2362088:eb0::/282088:ebf:ffff:ffff:ffff:ffff:ffff:ffff
2372088:ec0::/282088:ecf:ffff:ffff:ffff:ffff:ffff:ffff
2382088:ed0::/282088:edf:ffff:ffff:ffff:ffff:ffff:ffff
2392088:ee0::/282088:eef:ffff:ffff:ffff:ffff:ffff:ffff
2402088:ef0::/282088:eff:ffff:ffff:ffff:ffff:ffff:ffff
2412088:f00::/282088:f0f:ffff:ffff:ffff:ffff:ffff:ffff
2422088:f10::/282088:f1f:ffff:ffff:ffff:ffff:ffff:ffff
2432088:f20::/282088:f2f:ffff:ffff:ffff:ffff:ffff:ffff
2442088:f30::/282088:f3f:ffff:ffff:ffff:ffff:ffff:ffff
2452088:f40::/282088:f4f:ffff:ffff:ffff:ffff:ffff:ffff
2462088:f50::/282088:f5f:ffff:ffff:ffff:ffff:ffff:ffff
2472088:f60::/282088:f6f:ffff:ffff:ffff:ffff:ffff:ffff
2482088:f70::/282088:f7f:ffff:ffff:ffff:ffff:ffff:ffff
2492088:f80::/282088:f8f:ffff:ffff:ffff:ffff:ffff:ffff
2502088:f90::/282088:f9f:ffff:ffff:ffff:ffff:ffff:ffff
2512088:fa0::/282088:faf:ffff:ffff:ffff:ffff:ffff:ffff
2522088:fb0::/282088:fbf:ffff:ffff:ffff:ffff:ffff:ffff
2532088:fc0::/282088:fcf:ffff:ffff:ffff:ffff:ffff:ffff
2542088:fd0::/282088:fdf:ffff:ffff:ffff:ffff:ffff:ffff
2552088:fe0::/282088:fef:ffff:ffff:ffff:ffff:ffff:ffff
2562088:ff0::/282088:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses